#!/usr/bin/env bash

[[ ${BURR_DEPENDENCIES_LOADED:-} -eq 1 ]] && return

ensure_jq_installed() {
### If macOS
if [ ! $(which jq) ]
	then
	if [[ "$OSTYPE" == "linux-gnu" ]]; then
        sudo apt-get install jq
	elif [[ "$OSTYPE" == "darwin"* ]]; then
			# Mac OSX
			brew install jq
	else
			# Unknown.
		echo "Not sure what OS this is"
		exit 1
	fi

fi
}

# @TODO Check for readlink or greadlink
ensure_readlink_installed() {
	if [[ "$OSTYPE" == "darwin"* ]]; then
        if [ ! $(which greadlink) ]; then
			brew install coreutils
		fi
	elif [[ "$OSTYPE" == "linux-gnu" ]]; then
			echo $(which readlink)
	else
			# Unknown.
		echo "Not sure what OS this is"
		exit 1
	fi
}
BURR_DEPENDENCIES_LOADED=1
